#!/bin/bash
#

## Definir e criar diretorio raiz do programa
source etc/euc.conf

setup_install(){
	## Verificar se ja existe instalação
	[ -e "${_path}" ] && echo -e "[!] Já existe uma instalação.\n" && exit 1

	mkdir ${_path} 
	export PATH="${PATH}:${_path}"

	cp -r lib/ etc/ src/ ${_path}
	chmod +x ${_path}/src/euc.sh

	ln -s ${_path}/src/euc.sh ${_path}/euc
	ln -s ${_path}/src/euc.sh /usr/local/bin/euc

	echo -e "[+] Instalado com sucesso."

	}

setup_uninstall(){
	[ ! -e "${_path}" ] && echo -e "[!] Nenhuma instalação encontrada.\n" && exit 1
	
	[ "${_path}" ] && rm -rf ${_path}
	rm -rf /usr/local/bin/euc
	echo -e "[+] Desinstalado com sucesso."

	}

case "$1" in
	install)
		setup_install
	;;
	
	uninstall)
		setup_uninstall
	;;
	
	*)
		echo -e "\nsetup.sh [install|uninstall]\n"
	;;
esac

